Change log for update-manager package in Ubuntu

175 of 623 results
Published in bionic-release on 2018-04-13
Deleted in bionic-proposed (Reason: moved to release)
update-manager (1:18.04.11) bionic; urgency=medium

  * Add Appstream metadata with compulsory_for_desktop fields to prevent
    the accidental uninstallation of ubuntu-desktop in GNOME Software.
    ubuntu-desktop depends on update-manager.
  * Build-Depend on dh-python
  * Update translation template

 -- Jeremy Bicha <email address hidden>  Thu, 12 Apr 2018 14:07:04 -0400

Available diffs

Published in xenial-proposed on 2018-03-29
update-manager (1:16.04.13) xenial; urgency=medium

  * Offer removal of unused autoremovable kernel packages
    (LP: #1624644, #1675079)
  * Support package removals in install backends and really remove packages
    (LP: #1624644, #1675079)
  * Keep PEP 8 checks happy
  * Place .keep files in empty directories to keep them when converting the
    repo to git (LP: #1758963)

 -- Balint Reczey <email address hidden>  Sun, 25 Mar 2018 20:10:49 +0100

Available diffs

Published in artful-proposed on 2018-03-29
update-manager (1:17.10.14) artful; urgency=medium

  * Offer removal of unused autoremovable kernel packages
    (LP: #1624644, #1675079)
  * Support package removals in install backends and really remove packages
    (LP: #1624644, #1675079)
  * Keep PEP 8 checks happy
  * Place .keep files in empty directories to keep them when converting the
    repo to git (LP: #1758963)

 -- Balint Reczey <email address hidden>  Sun, 25 Mar 2018 19:57:57 +0100

Available diffs

Superseded in bionic-release on 2018-04-13
Deleted in bionic-proposed on 2018-04-14 (Reason: moved to release)
update-manager (1:18.04.10) bionic; urgency=medium

  * Support package removals in install backends and really remove packages
    (LP: #1624644, #1675079)

 -- Balint Reczey <email address hidden>  Mon, 26 Mar 2018 12:20:30 +0100

Available diffs

Superseded in bionic-release on 2018-03-26
Deleted in bionic-proposed on 2018-03-28 (Reason: moved to release)
update-manager (1:18.04.9) bionic; urgency=medium

  * Keep PEP 8 checks happy

 -- Balint Reczey <email address hidden>  Wed, 21 Mar 2018 17:53:59 +0000
Superseded in bionic-proposed on 2018-03-21
update-manager (1:18.04.8) bionic; urgency=medium

  * Offer removal of unused autoremovable kernel packages
    (LP: #1624644, #1675079)

 -- Balint Reczey <email address hidden>  Wed, 21 Mar 2018 14:34:05 +0000

Available diffs

Superseded in bionic-release on 2018-03-22
Deleted in bionic-proposed on 2018-03-23 (Reason: moved to release)
update-manager (1:18.04.7) bionic; urgency=medium

  * Comment out the KDE frontend in debian/control so we can remove pykde4
    from the archive (LP: #1745741).

 -- Simon Quigley <email address hidden>  Fri, 16 Mar 2018 20:40:17 -0500

Available diffs

Superseded in bionic-release on 2018-03-17
Deleted in bionic-proposed on 2018-03-20 (Reason: moved to release)
update-manager (1:18.04.6) bionic; urgency=medium

  * Use HTTPS for changelogs.ubuntu.com (LP: #1744318)

 -- Julian Andres Klode <email address hidden>  Thu, 15 Mar 2018 14:19:24 +0100

Available diffs

Superseded in bionic-release on 2018-03-15
Deleted in bionic-proposed on 2018-03-17 (Reason: moved to release)
update-manager (1:18.04.5) bionic; urgency=medium

  * Drop the update-manager-text package and code as it has been broken for a
    long time and it wasn't used by many people. (LP: #1385524)

 -- Brian Murray <email address hidden>  Mon, 05 Mar 2018 16:41:24 -0800

Available diffs

Superseded in bionic-release on 2018-03-06
Deleted in bionic-proposed on 2018-03-08 (Reason: moved to release)
update-manager (1:18.04.4) bionic; urgency=medium

  [ Balint Reczey ]
  * Place .keep files in empty directories to keep them when converting the
    repo to git
  * Call do-release-upgrade without pkexec and depend on a version which
    raises privileges itself (LP: #1748509)

  [ Jeremy Bicha ]
  * update-manager: Depend on libgtk3-perl for debconf's GNOME backend.
    Drop previous Recommends on libgtk2-perl. (LP: #1607929)

 -- Balint Reczey <email address hidden>  Fri, 02 Mar 2018 10:44:01 +0700

Available diffs

Published in xenial-updates on 2018-02-12
Published in xenial-security on 2018-02-12
update-manager (1:16.04.12) xenial-security; urgency=medium

  * No change rebuild in security pocket (LP: #1748397)

 -- Marc Deslauriers <email address hidden>  Mon, 12 Feb 2018 07:29:03 -0500
Published in trusty-updates on 2018-02-12
Deleted in trusty-proposed (Reason: moved to -updates)
update-manager (1:0.196.25) trusty; urgency=medium

  [ Steve Langasek ]
  * ubuntu-support-status: instead of checking the Release timestamp in
    the releases file for every single package on the system, get the
    release date from distro-info-data because it will always be the same.
    This speeds up the script by > 50% in testing.

  [ Marc Deslauriers ]
  * ubuntu-support-status: use component to differentiate packages
    supported by the community and packages supported by Canonical,
    override the Supported tag for main and restricted to work around the
    inaccurate Packages files, hardcode the release date since
    distro-info-date isn't installed by default in Trusty. (LP: #1574670)

 -- Marc Deslauriers <email address hidden>  Fri, 02 Feb 2018 09:03:31 -0500

Available diffs

Superseded in xenial-updates on 2018-02-12
Deleted in xenial-proposed on 2018-02-13 (Reason: moved to -updates)
update-manager (1:16.04.11) xenial; urgency=medium

  [ Steve Langasek ]
  * ubuntu-support-status: instead of checking the Release timestamp in
    the releases file for every single package on the system, get the
    release date from distro-info-data because it will always be the same.
    This speeds up the script by > 50% in testing.

  [ Marc Deslauriers ]
  * ubuntu-support-status: use component to differentiate packages
    supported by the community and packages supported by Canonical, and
    override the Supported tag for main and restricted to work around the
    inaccurate Packages files. (LP: #1574670)

 -- Marc Deslauriers <email address hidden>  Fri, 02 Feb 2018 09:02:45 -0500

Available diffs

Published in artful-updates on 2018-02-12
Deleted in artful-proposed (Reason: moved to -updates)
update-manager (1:17.10.13) artful; urgency=medium

  * ubuntu-support-status: use component to differentiate packages
    supported by the community and packages supported by Canonical.
    (LP: #1574670)

 -- Marc Deslauriers <email address hidden>  Fri, 02 Feb 2018 09:01:11 -0500

Available diffs

Superseded in bionic-release on 2018-03-02
Deleted in bionic-proposed on 2018-03-03 (Reason: moved to release)
update-manager (1:18.04.3) bionic; urgency=medium

  * ubuntu-support-status: use component to differentiate packages
    supported by the community and packages supported by Canonical.
    (LP: #1574670)

 -- Marc Deslauriers <email address hidden>  Fri, 02 Feb 2018 08:07:04 -0500

Available diffs

Superseded in artful-updates on 2018-02-12
Deleted in artful-proposed on 2018-02-13 (Reason: moved to -updates)
update-manager (1:17.10.12) artful; urgency=medium

  [ Jean-Baptiste Lallement ]
  * UpdateManager/Dialogs.py: Workaround restricted access to GUI applications
    by user root under wayland to start do-release-upgrade in graphical mode
    (LP: #1732185)

  [ Balint Reczey ]
  * Break long comment to keep PEP 8 test happy

 -- Balint Reczey <email address hidden>  Fri, 12 Jan 2018 23:55:03 +0100

Available diffs

Superseded in bionic-release on 2018-02-02
Deleted in bionic-proposed on 2018-02-04 (Reason: moved to release)
update-manager (1:18.04.2) bionic; urgency=medium

  * Build from bazaar repository to keep empty dirs in the source package
  * Break long comment to keep PEP 8 test happy

 -- Balint Reczey <email address hidden>  Fri, 12 Jan 2018 01:12:32 +0100
Superseded in bionic-proposed on 2018-01-12
update-manager (1:18.04.1) bionic; urgency=medium

  [ Jean-Baptiste Lallement ]
  * UpdateManager/Dialogs.py: Workaround restricted access to GUI applications
    by user root under wayland to start do-release-upgrade in graphical mode
    (LP: #1732185)

 -- Balint Reczey <email address hidden>  Thu, 11 Jan 2018 13:56:07 +0100

Available diffs

Superseded in xenial-updates on 2018-02-12
Deleted in xenial-proposed on 2018-02-13 (Reason: moved to -updates)
update-manager (1:16.04.10) xenial; urgency=medium

  * UpdateManager/UpdatesAvailable.py: Provide instructions when mount points
    have insufficient free space for the upgrade to complete. (LP: #1477455)
  * test_update_origin.py: fix the extended origin matcher test as it was
    making wrong assumptions, not checking if packages actually had ANY package
    in -security. This should fix the current autopkgtest failures.
    (LP: #1717360)

 -- Brian Murray <email address hidden>  Wed, 20 Sep 2017 14:39:17 -0700

Available diffs

Published in zesty-updates on 2017-10-31
Deleted in zesty-proposed (Reason: moved to -updates)
update-manager (1:17.04.8) zesty; urgency=medium

  * UpdateManager/UpdatesAvailable.py: Provide instructions when mount points
    have insufficient free space for the upgrade to complete. (LP: #1477455)
  * test_update_origin.py: fix the extended origin matcher test as it was
    making wrong assumptions, not checking if packages actually had ANY package
    in -security. This should fix the current autopkgtest failures.
    (LP: #1717360)

 -- Brian Murray <email address hidden>  Wed, 20 Sep 2017 14:36:07 -0700

Available diffs

Superseded in bionic-release on 2018-01-26
Published in artful-release on 2017-10-10
Deleted in artful-proposed (Reason: moved to release)
update-manager (1:17.10.11) artful; urgency=medium

  * UpdateManager/UpdatesAvailable.py: Also mention using COMPRESS=xz in
    intramfs.conf to free more space in /boot.

 -- Brian Murray <email address hidden>  Thu, 05 Oct 2017 16:03:26 -0700

Available diffs

Superseded in artful-release on 2017-10-10
Deleted in artful-proposed on 2017-10-12 (Reason: moved to release)
update-manager (1:17.10.10) artful; urgency=medium

  * UpdateManager/UpdatesAvailable.py: Provide instructions when mount points
    have insufficient free space for the upgrade to complete. (LP: #1477455)

 -- Brian Murray <email address hidden>  Wed, 20 Sep 2017 12:28:03 -0700

Available diffs

Superseded in artful-release on 2017-09-20
Deleted in artful-proposed on 2017-09-22 (Reason: moved to release)
update-manager (1:17.10.9) artful; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * test_update_origin.py: fix the extended origin matcher test as it was
    making wrong assumptions, not checking if packages actually had ANY package
    in -security. This should fix the current autopkgtest failures.

  [ Brian Murray ]
  * test_update_origin.py: fix some typos.

 -- Łukasz 'sil2100' Zemczak <email address hidden>  Mon, 11 Sep 2017 12:32:29 +0200
Superseded in artful-proposed on 2017-09-11
update-manager (1:17.10.8) artful; urgency=medium

  * UpdateManager/Dialogs.py: use a variable instead of hard coding 1 to
    allow the translation of the message, thanks to Andrea Azzarone.
    (LP: #1714489)

 -- Brian Murray <email address hidden>  Tue, 05 Sep 2017 14:17:16 -0700

Available diffs

Superseded in artful-release on 2017-09-11
Deleted in artful-proposed on 2017-09-12 (Reason: moved to release)
update-manager (1:17.10.7) artful; urgency=medium

  * Show status of Canonical's Livepatch service in update-manager dialog
    window, thanks to Andrea Azzarone. (LP: #1712591)

 -- Brian Murray <email address hidden>  Thu, 31 Aug 2017 09:25:37 -0700

Available diffs

Superseded in zesty-updates on 2017-10-31
Deleted in zesty-proposed on 2017-11-01 (Reason: moved to -updates)
update-manager (1:17.04.7) zesty; urgency=medium

  *  UpdateManager.py: Workaround a crash when calling software-properties-gtk
     by not using --toplevel under wayland (LP: #1703365)

 -- Jean-Baptiste Lallement <email address hidden>  Thu, 24 Aug 2017 10:00:11 -0700

Available diffs

Superseded in artful-release on 2017-08-31
Deleted in artful-proposed on 2017-09-02 (Reason: moved to release)
update-manager (1:17.10.6) artful; urgency=medium

  *  UpdateManager.py: Workaround a crash when calling software-properties-gtk
     by not using --toplevel under wayland (LP: #1703365)

 -- Jean-Baptiste Lallement <email address hidden>  Mon, 21 Aug 2017 13:00:27 +0200

Available diffs

Superseded in xenial-updates on 2017-10-31
Deleted in xenial-proposed on 2017-11-01 (Reason: moved to -updates)
update-manager (1:16.04.9) xenial; urgency=medium

  * UpdateManager/Core/UpdateList.py: Instead of trying to print an error
    when trying to find the desktop file log it. (LP: #1428297)
  * tests/test_update_origin.py: This does not need to be architecture
    specific so just set the arch to amd64 like test_update_list.py. Replace
    references to lucid with xenial as lucid is no longer on the archive.
  * tests/test_utils.py: mock /proc/net/tcp and processes in proc so that we
    are testing the code and not the system under test.
  * tests/test_cache.py: pass an empty list when getting a changelog for 3rd
    party packages.
  * tests/test_hwe_support_status.py: port to python3.
  * tests/test_meta_release_core.py: switch to a site that works with no proxy
    in the autopkgtest environment.
  * Resolve pep8 and pyflakes issues.

 -- Brian Murray <email address hidden>  Thu, 10 Aug 2017 15:08:15 -0700

Available diffs

Superseded in zesty-updates on 2017-09-13
Superseded in zesty-proposed on 2017-08-30
update-manager (1:17.04.6) zesty; urgency=medium

  * UpdateManager/Core/UpdateList.py: Instead of trying to print an error
    when trying to find the desktop file log it. (LP: #1428297)
  * tests/test_update_origin.py: This does not need to be architecture
    specific so just set the arch to amd64 like test_update_list.py. Replace
    references to lucid with xenial as lucid is no longer on the archive.
  * tests/test_utils.py: mock /proc/net/tcp and processes in proc so that we
    are testing the code and not the system under test.
  * tests/test_cache.py: pass an empty list when getting a changelog for 3rd
    party packages.
  * tests/test_hwe_support_status.py: port to python3.
  * tests/test_meta_release_core.py: switch to a site that works with no proxy
    in the autopkgtest environment.
  * Resolve pep8 and pyflakes issues.

 -- Brian Murray <email address hidden>  Thu, 10 Aug 2017 13:58:50 -0700

Available diffs

Superseded in artful-release on 2017-08-23
Deleted in artful-proposed on 2017-08-25 (Reason: moved to release)
update-manager (1:17.10.5) artful; urgency=medium

  * test_update_origin.py: This does not need to be architecture specific so
    just set the arch to amd64 like test_update_list.py.
  * test_utils.py: mock /proc/net/tcp and processes in proc so that we are
    testing the code and not the system under test.

 -- Brian Murray <email address hidden>  Wed, 09 Aug 2017 16:44:44 -0700

Available diffs

Superseded in artful-release on 2017-08-10
Deleted in artful-proposed on 2017-08-11 (Reason: moved to release)
update-manager (1:17.10.4) artful; urgency=medium

  * UpdateManager/Core/UpdateList.py: Instead of trying to print an error
    when trying to find the desktop file log it. (LP: #1428297)

 -- Brian Murray <email address hidden>  Mon, 07 Aug 2017 16:19:53 -0700

Available diffs

Superseded in artful-release on 2017-08-08
Deleted in artful-proposed on 2017-08-09 (Reason: moved to release)
update-manager (1:17.10.3) artful; urgency=medium

  * Resolve a multitude of test failures, pep8 and pyflakes issues.

 -- Brian Murray <email address hidden>  Mon, 07 Aug 2017 14:30:59 -0700

Available diffs

Superseded in xenial-updates on 2017-08-28
Deleted in xenial-proposed on 2017-08-30 (Reason: moved to -updates)
update-manager (1:16.04.8) xenial; urgency=medium

  * Recommend libgtk2-perl be installed so we have a working debconf frontend.
    (LP: #1607929)

 -- Brian Murray <email address hidden>  Mon, 24 Jul 2017 17:40:35 -0700

Available diffs

Superseded in trusty-updates on 2018-02-12
Deleted in trusty-proposed on 2018-02-13 (Reason: moved to -updates)
update-manager (1:0.196.24) trusty-proposed; urgency=medium

  * Recommend libgtk2-perl be installed so we have a working debconf frontend.
    (LP: #1607929)

 -- Brian Murray <email address hidden>  Mon, 24 Jul 2017 17:43:27 -0700

Available diffs

Superseded in zesty-updates on 2017-08-28
Deleted in zesty-proposed on 2017-08-30 (Reason: moved to -updates)
update-manager (1:17.04.5) zesty; urgency=medium

  * Recommend libgtk2-perl be installed so we have a working debconf frontend.
    (LP: #1607929)

 -- Brian Murray <email address hidden>  Mon, 24 Jul 2017 16:43:12 -0700

Available diffs

Superseded in xenial-updates on 2017-08-10
Deleted in xenial-proposed on 2017-08-11 (Reason: moved to -updates)
update-manager (1:16.04.7) xenial; urgency=medium

  * update-manager: Clarify that the "-d" switch is only for upgrading from
    the latest supported release to the development release, not any release.
    (LP: #1700829)

 -- Brian Murray <email address hidden>  Mon, 17 Jul 2017 09:31:17 -0700

Available diffs

Superseded in zesty-updates on 2017-08-10
Deleted in zesty-proposed on 2017-08-11 (Reason: moved to -updates)
update-manager (1:17.04.4) zesty; urgency=medium

  * update-manager: Clarify that the "-d" switch is only for upgrading from
    the latest supported release to the development release, not any release.
    (LP: #1700829)

 -- Brian Murray <email address hidden>  Fri, 14 Jul 2017 16:51:54 -0700

Available diffs

Superseded in artful-release on 2017-08-07
Deleted in artful-proposed on 2017-08-09 (Reason: moved to release)
update-manager (1:17.10.2) artful; urgency=medium

  * Recommend libgtk2-perl be installed so we have a working debconf frontend.
    (LP: #1607929)

 -- Brian Murray <email address hidden>  Tue, 18 Jul 2017 15:32:54 -0700

Available diffs

Superseded in artful-release on 2017-07-19
Deleted in artful-proposed on 2017-07-21 (Reason: moved to release)
update-manager (1:17.10.1) artful; urgency=medium

  [ Steve Langasek ]
  * ubuntu-support-status: instead of checking the Release timestamp in
    the releases file for every single package on the system, get the
    release date from distro-info-data because it will always be the same.
    This speeds up the script by > 50% in testing.

  [ Brian Murray ]
  * update-manager: Clarify that the "-d" switch is only for upgrading from
    the latest supported release to the development release, not any release.
    (LP: #1700829)
  * Remove --sandbox (aufs support) as it has been broken for some time and
    was rather unused. (LP: #1605259)

 -- Brian Murray <email address hidden>  Wed, 12 Jul 2017 15:03:18 -0700

Available diffs

Published in precise-updates on 2017-05-02
Deleted in precise-proposed (Reason: moved to -updates)
update-manager (1:0.156.14.22) precise; urgency=medium

  * Make ubuntu-support-status tell users about the ESM archive.
    LP: #1687105.

 -- Steve Langasek <email address hidden>  Fri, 28 Apr 2017 13:32:09 -0700

Available diffs

Obsolete in yakkety-updates on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to -updates)
update-manager (1:16.10.10) yakkety; urgency=medium

  * Bump the python3-gi dependency so that set_int64 is available thereby
    avoiding a crash if update-manager is updated but not python3-gi.
    (LP: #1681939)

 -- Brian Murray <email address hidden>  Tue, 11 Apr 2017 14:04:31 -0700

Available diffs

Superseded in trusty-updates on 2017-08-10
Deleted in trusty-proposed on 2017-08-11 (Reason: moved to -updates)
update-manager (1:0.196.23) trusty-proposed; urgency=medium

  * Use a 64 bit integer for launch-time instead of a 32 bit one which won't
    work someday. (LP: #1654008)

 -- Brian Murray <email address hidden>  Mon, 20 Mar 2017 18:59:22 -0700

Available diffs

Superseded in xenial-updates on 2017-07-26
Deleted in xenial-proposed on 2017-07-28 (Reason: moved to -updates)
update-manager (1:16.04.6) xenial; urgency=medium

  * Use a 64 bit integer for launch-time instead of a 32 bit one which won't
    work someday. (LP: #1654008)

 -- Brian Murray <email address hidden>  Mon, 20 Mar 2017 15:03:58 -0700

Available diffs

Superseded in yakkety-updates on 2017-05-10
Deleted in yakkety-proposed on 2017-05-12 (Reason: moved to -updates)
update-manager (1:16.10.9) yakkety; urgency=medium

  * Use a 64 bit integer for launch-time instead of a 32 bit one which won't
    work someday. (LP: #1654008)

 -- Brian Murray <email address hidden>  Fri, 17 Mar 2017 15:41:35 -0700

Available diffs

Superseded in artful-release on 2017-07-14
Published in zesty-release on 2017-03-14
Deleted in zesty-proposed (Reason: moved to release)
update-manager (1:17.04.3) zesty; urgency=medium

  * Use a 64 bit integer for launch-time instead of a 32 bit one which won't
    work someday. (LP: #1654008)

 -- Brian Murray <email address hidden>  Tue, 14 Mar 2017 14:51:04 -0700

Available diffs

Superseded in zesty-release on 2017-03-14
Deleted in zesty-proposed on 2017-03-16 (Reason: moved to release)
update-manager (1:17.04.2) zesty; urgency=medium

  [ Jeremy Bicha ]
  * Update alternate dependencies for policykit-1-gnome:
    - Add virtual polkit-1-auth-agent
    - Replace non-existant policykit-1-kde with polkit-kde-agent-1
    - Replace razorqt-policykit-agent with lxqt-policykit
      (since lxqt is the replacement for razorqt)

  [ Manzur Mukhitdinov ]
  * UpdateManager/Core/MetaRelease.py:
    - Add a clearer error message when a network failure occurs

  [ Brian Murray ]
  * UpdateManager/Dialogs.py:
    - Remove misleading ellipsis in “Restart Now” action button. Thanks to
      Adolfo Jayme for the change.  (LP: #1568368)

  [ Steve Langasek ]
  * Drop estimate_kernel_size_in_boot() from UpdateManager/Core/utils.py; this
    was only used in ubuntu-release-upgrader so the code has now moved there
    (with code fixes).  Ensure upgrade ordering with Breaks: on older
    python3-distupgrade.  LP: #1646222.

 -- Steve Langasek <email address hidden>  Wed, 08 Mar 2017 10:01:30 -0800

Available diffs

Superseded in xenial-updates on 2017-04-05
Deleted in xenial-proposed on 2017-04-06 (Reason: moved to -updates)
update-manager (1:16.04.5) xenial; urgency=medium

  [ Iain Lane ]
  * ChangelogViewer: Fix an API call to work with GTK < and ≥ 3.20. Upstream
    gave gtk_text_view_get_iter_at_location a gboolean return type, which
    makes gobject-introspection return (return value, out parameter). (LP:
    #1548425)

 -- Brian Murray <email address hidden>  Mon, 19 Dec 2016 13:46:30 -0800

Available diffs

Superseded in precise-updates on 2017-05-02
Deleted in precise-proposed on 2017-05-03 (Reason: moved to -updates)
update-manager (1:0.156.14.21) precise-proposed; urgency=medium

  * No change rebuild so the dist-upgrader tarball will be signed with the new
    method. (LP: #1645906)

 -- Brian Murray <email address hidden>  Wed, 30 Nov 2016 10:54:24 -0800

Available diffs

Superseded in yakkety-updates on 2017-04-05
Superseded in yakkety-proposed on 2017-03-20
update-manager (1:16.10.8) yakkety; urgency=medium

  [ Brian Murray ]
  * data/gtkbuilder/UpdateManager.ui: Set a minimum content height of 80px for
    the technical description scrolled window. This was the default height
    gtk3widgets used in GTK versions prior to 3.20. Thanks to Martin Wimpress
    for the fix. (LP: #1623856)
  * tests/test_hwe_support_status.py: Resolve issues with the test.

  [ Iain Lane ]
  * debian/control: Update Vcs-Bzr for yakkety stable branch

 -- Brian Murray <email address hidden>  Wed, 26 Oct 2016 10:09:34 -0700

Available diffs

Superseded in zesty-release on 2017-03-08
Deleted in zesty-proposed on 2017-03-10 (Reason: moved to release)
update-manager (1:17.04.1) zesty; urgency=medium

  * tests/test_hwe_support_status.py: Resolve issues with the test.
  * data/gtkbuilder/UpdateManager.ui: Set a minimum content height of 80px for
    the technical description scrolled window. This was the default height
    gtk3widgets used in GTK versions prior to 3.20. Thanks to Martin Wimpress
    for the fix. (LP: #1623856)

 -- Brian Murray <email address hidden>  Wed, 02 Nov 2016 12:05:25 -0700

Available diffs

Superseded in zesty-release on 2016-12-01
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
update-manager (1:16.10.7) yakkety; urgency=medium

  * UpdateManager/Core/MyCache.py: Gracefully handle absence of Launchpadlib
    module.
  * Lower python3-launchpadlib Depends: to a Suggests:, to avoid pulling it
    into "standard" priority. Retrieving PPA changelogs is more of a niche
    feature which is relevant for desktops, but shoud not drag the entire
    python3-launchpadlib stack into small installations. Add it as Recommends
    to the GUI frontends instead, to retain current behaviour on desktops.

 -- Martin Pitt <email address hidden>  Tue, 11 Oct 2016 12:13:46 +0200

Available diffs

Superseded in yakkety-release on 2016-10-11
Deleted in yakkety-proposed on 2016-10-12 (Reason: moved to release)
update-manager (1:16.10.6) yakkety; urgency=medium

  * UpdateManager/UnitySupport.py: Handle ValueError traceback when checking
    for Unity and Dbusmenu support.  Thanks to Launchpad user flocculant for
    the patch.  (LP: #1629900)

 -- Brian Murray <email address hidden>  Mon, 03 Oct 2016 15:18:31 -0700

Available diffs

Superseded in precise-updates on 2016-12-07
Deleted in precise-proposed on 2016-12-08 (Reason: moved to -updates)
update-manager (1:0.156.14.20) precise-proposed; urgency=medium

  * Correctly calculate the end of support, and return correctly when support
    has ended. Patch from Andrew Gaul, with thanks. (LP: #1574193)

 -- Brian Murray <email address hidden>  Fri, 30 Sep 2016 09:55:44 -0700

Available diffs

Superseded in trusty-updates on 2017-04-05
Deleted in trusty-proposed on 2017-04-06 (Reason: moved to -updates)
update-manager (1:0.196.22) trusty-proposed; urgency=medium

  * Correctly calculate the end of support, and return correctly when support
    has ended. Patch from Andrew Gaul, with thanks. (LP: #1574193)

 -- Brian Murray <email address hidden>  Fri, 30 Sep 2016 09:45:52 -0700

Available diffs

Superseded in xenial-updates on 2017-01-12
Deleted in xenial-proposed on 2017-01-14 (Reason: moved to -updates)
update-manager (1:16.04.4) xenial; urgency=medium

  * Correctly calculate the end of support, and return correctly when support
    has ended. Patch from Andrew Gaul, with thanks. (LP: #1574193)

 -- Brian Murray <email address hidden>  Fri, 30 Sep 2016 09:16:37 -0700

Available diffs

Superseded in yakkety-release on 2016-10-04
Deleted in yakkety-proposed on 2016-10-05 (Reason: moved to release)
update-manager (1:16.10.5) yakkety; urgency=medium

  [ Brian Murray ]
  * UpdateManager/UpdateManager.py: when marking HWE packages for install pass
    on a SystemError and let the problem resolver sort it out.
  * HweSupportStatus/consts.py: Improve wording of the messages.
  * hwe-support-status:
    - decode output when checking for foreign architectures so that the result
      is unicode not bytes.
    - add libwayland-egl1-mesa to the list of metapackages.
    - utilize a virtualbox metapackage set.
    - Do not show replacements that are already installed on
      the system.  (LP: #1607983)
  * source_update-manager.py: collect information about the state of HWE
    support on the system. (LP: #1617080)
  * source_update-manager.py: only collect HWE information if it exists.

  [ Jeremy Bicha ]
  * Add gi.require_version in a few more places to reduce the annoying
    warnings. (LP: #1573177)

 -- Brian Murray <email address hidden>  Thu, 08 Sep 2016 16:01:13 -0700

Available diffs

Superseded in trusty-updates on 2016-10-17
Deleted in trusty-proposed on 2016-10-18 (Reason: moved to -updates)
update-manager (1:0.196.21) trusty-proposed; urgency=medium

  * hwe-support-status: Deal with the fact that fglrx was deprecated in 16.04
    so will not work with the Xenial 16.04 HWE stack. (LP: #1617448)

 -- Brian Murray <email address hidden>  Mon, 29 Aug 2016 16:13:22 -0700
Superseded in trusty-proposed on 2016-08-30
update-manager (1:0.196.20) trusty-proposed; urgency=medium

  * source_update-manager.py: collect information about the state of HWE
    support on the system. (LP: #1617080)

 -- Brian Murray <email address hidden>  Thu, 25 Aug 2016 15:26:37 -0700

Available diffs

Superseded in trusty-updates on 2016-09-06
Deleted in trusty-proposed on 2016-09-08 (Reason: moved to -updates)
update-manager (1:0.196.19) trusty-proposed; urgency=medium

  * hwe-support-status: utilize a virtualbox metapackage set.  (LP: #1498059)

 -- Brian Murray <email address hidden>  Mon, 15 Aug 2016 11:14:48 -0700
Superseded in trusty-proposed on 2016-08-15
update-manager (1:0.196.18) trusty-proposed; urgency=medium

  * hwe-support-status: add libwayland-egl1-mesa to the list of metapackages.
    (LP: #1610434)

 -- Brian Murray <email address hidden>  Wed, 10 Aug 2016 08:38:20 -0700

Available diffs

Superseded in trusty-proposed on 2016-08-11
update-manager (1:0.196.17) trusty-proposed; urgency=medium

  * hwe-support-status: decode output when checking for foreign architectures
    so that the result is unicode not bytes. (LP: #1498059)

 -- Brian Murray <email address hidden>  Tue, 09 Aug 2016 11:19:00 -0700

Available diffs

Superseded in trusty-proposed on 2016-08-09
update-manager (1:0.196.16) trusty-proposed; urgency=medium

  * HweSupportStatus/consts.py: improve messages and recommend upgrading to
    the correct release. (LP: #1498059)

 -- Brian Murray <email address hidden>  Thu, 04 Aug 2016 15:42:06 -0700

Available diffs

Superseded in trusty-proposed on 2016-08-05
update-manager (1:0.196.15) trusty-proposed; urgency=medium

  * Include HWE support tools and information. (LP: #1498059)

 -- Brian Murray <email address hidden>  Mon, 18 Jul 2016 10:03:22 -0700

Available diffs

Superseded in yakkety-release on 2016-09-09
Deleted in yakkety-proposed on 2016-09-10 (Reason: moved to release)
update-manager (1:16.10.4) yakkety; urgency=medium

  * ChangelogViewer: Fix an API call to work with GTK < and ≥ 3.20. Upstream
    gave gtk_text_view_get_iter_at_location a gboolean return type, which
    makes gobject-introspection return (return value, out parameter). (LP:
    #1548425)
  * ChangelogViewer: Set vexpand so that the changelog TextView takes up all
    the remaining vertical space.

 -- Iain Lane <email address hidden>  Fri, 29 Jul 2016 11:15:54 +0100

Available diffs

Superseded in yakkety-release on 2016-07-31
Deleted in yakkety-proposed on 2016-08-01 (Reason: moved to release)
update-manager (1:16.10.3) yakkety; urgency=medium

  [Nicolas Delvaux]
  * Attempt to retrieve Changelogs from PPA sources (LP: #253119)
  * Correctly detect the usage of a username in changelog URIs

 -- Brian Murray <email address hidden>  Wed, 27 Jul 2016 11:14:53 -0700

Available diffs

Superseded in yakkety-release on 2016-07-28
Deleted in yakkety-proposed on 2016-07-29 (Reason: moved to release)
update-manager (1:16.10.2) yakkety; urgency=medium

  * Include HWE support tools and information. (LP: #1498059)

 -- Brian Murray <email address hidden>  Thu, 21 Jul 2016 14:29:10 -0700

Available diffs

Superseded in yakkety-release on 2016-07-21
Deleted in yakkety-proposed on 2016-07-23 (Reason: moved to release)
update-manager (1:16.10.1) yakkety; urgency=medium

  * Correctly calculate the end of support, and return correctly when support
    has ended. Patch from Andrew Gaul, with thanks.

 -- Iain Lane <email address hidden>  Tue, 10 May 2016 15:32:40 +0100

Available diffs

Superseded in yakkety-release on 2016-05-10
Published in xenial-release on 2016-04-12
Deleted in xenial-proposed (Reason: moved to release)
update-manager (1:16.04.3) xenial; urgency=medium

  * Quote URL parameters for the Release Announcement. (LP: #1561215)

 -- Brian Murray <email address hidden>  Mon, 11 Apr 2016 18:49:09 -0700

Available diffs

Superseded in xenial-release on 2016-04-12
Deleted in xenial-proposed on 2016-04-13 (Reason: moved to release)
update-manager (1:16.04.2) xenial; urgency=medium

  [ Tim Lunn ]
  * UpdateManage/Core/utils.py: Update to use logind inhibitors (LP: #1566141)

 -- Brian Murray <email address hidden>  Thu, 07 Apr 2016 11:06:40 -0700

Available diffs

Superseded in xenial-release on 2016-04-07
Deleted in xenial-proposed on 2016-04-09 (Reason: moved to release)
update-manager (1:16.04.1) xenial; urgency=medium

  * Update Build-Depends to resolve ftbfs in xenial.

 -- Brian Murray <email address hidden>  Wed, 06 Apr 2016 15:39:00 -0700

Available diffs

Superseded in xenial-release on 2016-04-07
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
update-manager (1:15.10.3) wily; urgency=medium

  * Pass a '#auto' suffix to aptdaemon for packages that are autoinstalled,
    so that we have enough information to autoremove them later.  Thanks to
    Michael Vogt <email address hidden> for the patch.  LP: #1439769.
  * Add versioned dependency on aptdaemon (>= 1.1.1+bzr982-0ubuntu13) for the
    above.

 -- Steve Langasek <email address hidden>  Tue, 06 Oct 2015 21:26:35 -0700

Available diffs

Superseded in wily-release on 2015-10-09
Deleted in wily-proposed on 2015-10-10 (Reason: moved to release)
update-manager (1:15.10.2) wily; urgency=medium

  * UpdateManager/Core/UpdateList.py: update the binary packages made by the
    linux-meta source package. (LP: #1215114)

 -- Brian Murray <email address hidden>  Mon, 05 Oct 2015 14:51:25 -0700

Available diffs

Superseded in trusty-updates on 2016-08-16
Deleted in trusty-proposed on 2016-08-17 (Reason: moved to -updates)
update-manager (1:0.196.14) trusty-proposed; urgency=medium

  * UpdateManager/Core/MetaRelease.py: When not running in development mode,
    if the next release is unsupported do not offer to upgrade to that, but
    the release after it. When running in development mode continue to offer
    upgrading to unsupported release. (LP: #1497024)

 -- Brian Murray <email address hidden>  Fri, 18 Sep 2015 13:36:59 -0700

Available diffs

Obsolete in vivid-updates on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to -updates)
update-manager (1:15.04.7.1) vivid-proposed; urgency=medium

  * UpdateManager/Core/MetaRelease.py: When not running in development mode,
    if the next release is unsupported do not offer to upgrade to that, but
    the release after it. When running in development mode continue to offer
    upgrading to unsupported release. (LP: #1497024)

 -- Brian Murray <email address hidden>  Thu, 17 Sep 2015 14:51:31 -0700

Available diffs

Superseded in wily-release on 2015-10-06
Deleted in wily-proposed on 2015-10-07 (Reason: moved to release)
update-manager (1:15.10.1) wily; urgency=medium

  * UpdateManager/Core/MetaRelease.py: When not running in development mode,
    if the next release is unsupported do not offer to upgrade to that, but
    the release after it. When running in development mode continue to offer
    upgrading to unsupported release. (LP: #1497024)

 -- Brian Murray <email address hidden>  Thu, 17 Sep 2015 15:10:19 -0700

Available diffs

175 of 623 results